#include<lpc21xx.h>
//void delay();

void main()
{
IO0DIR=0x00000F00;
PINSEL0=0;
PINSEL1=0;

while(1)
{

if((IO0PIN&0X00000001)==0)
	{
	IO0CLR=0XFFFFFFFF;
	IOSET0=0X00000500;
	}

if((IO0PIN&0x00000002)==0)
	{
	IO0CLR=0XFFFFFFFF;
	IO0SET=0X00000A00;
	}

if((IO0PIN&0X00000004)==0)
	{
	IO0CLR=0XFFFFFFFF;
	IO0SET=0X00000600;
	}

if((IO0PIN&0X00000008)==0)
	{
	IO0CLR=0XFFFFFFFF;
	IO0SET=0X00000900;
	}
	

	}
	}
	



